Odds
Get Event Odds
Returns odds comparison for a specific event from selected bookmakers.
GET
/
odds
Get Event Odds
curl --request GET \
--url https://api.odds-api.io/v3/oddsimport requests
url = "https://api.odds-api.io/v3/odds"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.odds-api.io/v3/odds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"away": "<string>",
"awayId": 123,
"bookmakerIds": {},
"bookmakers": {},
"date": "<string>",
"home": "<string>",
"homeId": 123,
"id": 123,
"league": {
"name": "Premier League",
"slug": "premier-league"
},
"scores": {
"away": 123,
"home": 123,
"periods": {}
},
"sport": {
"name": "Football",
"slug": "football"
},
"status": "<string>",
"urls": {}
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}Query Parameters
API key for authentication
Event ID
Comma-separated list of bookmaker names (max 30)
Response
OK
Previous
Get Odds MovementsReturns all historical odds movements for a specific market type and handicap line of a specific event from a bookmaker.
Next
⌘I
Get Event Odds
